import React, { FC } from 'react';
export declare const validChildComponents: {
    progressbarSettings: {
        component: React.FunctionComponent<{
            position?: string;
            keepOnVisibleArea?: boolean;
        }>;
    };
    exportSettings: {
        component: React.FunctionComponent<{
            useSameTab?: boolean;
            useAsynchronousExport?: boolean;
            showPrintNotificationDialog?: boolean;
        }>;
    };
    searchSettings: {
        component: React.FunctionComponent<{
            useAsyncSearch?: boolean;
            searchEnabled?: boolean;
        }>;
    };
};
type PreviewSettingsPropsType = {
    children: React.ReactNode | React.ReactNode[];
};
declare const PreviewSettings: FC<PreviewSettingsPropsType>;
export default PreviewSettings;
