import React from 'react';
import Template from '../../../../core/Template';
const TreelistGroup = ({ data }) => {
    return (React.createElement("div", { role: "group", className: "dx-treelist dxd-text-primary" }, data.items.map((item, index) => (React.createElement("div", { key: index },
        React.createElement(Template, { template: item.templateName, data: item }),
        !item.collapsed && React.createElement(TreelistGroup, { data: item }))))));
};
export default TreelistGroup;
