import React from 'react';
import Template from '../../../../core/Template';
const TreelistHeadItemCaption = ({ data }) => {
    return (React.createElement(React.Fragment, null,
        !!data.imageTemplateName &&
            React.createElement(Template, { title: data.text, template: data.imageTemplateName, className: `dx-treelist-image ${data.imageClassName}` }),
        React.createElement(Template, { template: data.templates.itemTextContent, data: data })));
};
export default TreelistHeadItemCaption;
