import React from 'react';
const TreelistItemTextContent = ({ data }) => {
    if (!data.visible)
        return null;
    return (React.createElement("div", { className: "dx-treelist-text-wrapper" },
        React.createElement("div", null, data.searchModel.searchEnabled
            ? React.createElement("div", { className: "dx-treelist-text dx-highlighted-search-text", "data-bind": "searchHighlighting: { text: text, textToSearch: searchModel.textToSearch, searchOptions: searchModel.searchOptions }, attr: { title: text }" })
            : React.createElement("div", { className: "dx-treelist-text", title: data.text },
                " ",
                data.text,
                " "))));
};
export default TreelistItemTextContent;
