import React from 'react';
import { TemplateViewModels } from 'devexpress-reporting/viewer/templates';
import { CodeResolver } from '@devexpress/analytics-core/property-grid/internal/_codeResolver';
type propsType = {
    template: keyof TemplateViewModels | string;
    data?: TemplateViewModels[keyof TemplateViewModels];
    resolver?: CodeResolver;
    isResolved: (val: boolean) => void;
} & Partial<React.HTMLAttributes<HTMLDivElement>>;
declare const LazyTemplate: ({ template, data, resolver, isResolved, ...delegatedProps }: propsType) => React.JSX.Element;
export default LazyTemplate;
