import React from 'react';
import dxZoom from '../../../../../hooks/dxZoom';
import Template from '../../../../core/Template';
const CheckBoxEditingField = ({ data }) => {
    const zoomRef = dxZoom(data.zoom);
    return (React.createElement("div", { ref: zoomRef, className: "dxrp-editing-field-check-container dx-accessibility-editing-field-item dx-accessibility-border-accented", style: data.containerStyle, onClick: event => data.onClick(data, event.nativeEvent) }, !!data.checkStateStyleIcon &&
        React.createElement("div", { className: "dxrp-editing-field-check", tabIndex: 1, style: data.checkStyle },
            React.createElement(Template, { template: data.checkStateStyleIcon, data: data }))));
};
export default CheckBoxEditingField;
