import React from 'react';
import { Popover } from 'devextreme-react/popover';
import useDxParentContainer from '../../hooks/mobileParentContainer';
const MobileActionsExport = ({ data }) => {
    const [ref, parentContainer] = useDxParentContainer();
    const renderContent = () => (React.createElement("div", null, data.items.map(item => React.createElement("div", { key: item.text, className: "dxrd-menu-export-item", onClick: item.action }, item.text))));
    return (React.createElement(Popover, { ref: ref, className: "dxrd-menu-export-popover", wrapperAttr: { class: 'dxrd-menu-export-popover' }, width: "266px", height: "266px", visible: data.visible, target: ".dxrdp-mobile-action.dxrd-image-export-to", container: parentContainer, onHidden: data.hide, contentRender: renderContent }));
};
export default MobileActionsExport;
