import React from 'react';
import TextBox from 'devextreme-react/text-box';
import useDxMobileSearchBar from '../hooks/mobileSearchBar';
const MobileSearch = ({ data }) => {
    const ref = useDxMobileSearchBar(data);
    return (React.createElement("div", { className: "dxrdp-search-wrapper", style: { height: data.height }, ref: ref },
        React.createElement("div", { className: "dxrd-mobile-search" },
            React.createElement("div", { className: "dxrdp-taptosearch", hidden: data.editorVisible, onClick: event => data.focusEditor(data, event) },
                React.createElement("div", { className: "dxrdp-taptosearch-text" }, data.tapToSearchText)),
            React.createElement("div", { className: "dxrdp-search-panel", hidden: !data.editorVisible },
                React.createElement(TextBox, { className: "dxrdp-search-editor", onValueChanged: event => data.onSearchTextChanged(event), onEnterKey: data.startSearch })))));
};
export default MobileSearch;
