import React from 'react';
import { initializeAutoFitBinding } from 'devexpress-reporting/viewer/internal/_bindings';
const useDxMobileAutofit = (options) => {
    const ref = React.useRef();
    React.useEffect(() => {
        return initializeAutoFitBinding(ref.current, options);
    }, []);
    return ref;
};
export default useDxMobileAutofit;
