import React from 'react';
import { initializeMobilePaginatorBinding } from 'devexpress-reporting/viewer/mobile/internal/_mobileBindings';
const useDxMobilePaginator = (options) => {
    const ref = React.useRef();
    React.useEffect(() => {
        initializeMobilePaginatorBinding(ref.current, options);
    }, []);
    return ref;
};
export default useDxMobilePaginator;
