import React from 'react';
import { initializeMobileSearchBinding } from 'devexpress-reporting/viewer/mobile/internal/_mobileBindings';
const useDxMobileSearchBar = (options) => {
    const ref = React.useRef();
    React.useEffect(() => {
        return initializeMobileSearchBinding(ref.current, options);
    }, []);
    return ref;
};
export default useDxMobileSearchBar;
