import React from 'react';
import DxCalendar from 'devextreme-react/calendar';
const Calendar = ({ data }) => {
    const cellTemplate = ({ data: item }) => (React.createElement("div", { className: "dxrv-daterange-cell" },
        React.createElement("div", { className: "dxrv-daterange-cell-text" }, item.text),
        React.createElement("div", { className: data.inRange(item.date) ? 'dxd-back-accented' : '' })));
    return (React.createElement(DxCalendar, { tabIndex: 0, className: "dx-accessibility-calendar-item dx-accessibility-daterange-item", min: data.min, value: data.value, cellComponent: cellTemplate, height: data.height, onValueChanged: data.onValueChanged }));
};
export default Calendar;
