import React from 'react';
const BrickClickable = ({ data }) => {
    const { drillDownKey, sortData } = data.navigation || {};
    const navigationBrickClasses = ['dxrd-report-preview-brick-navigation'];
    drillDownKey && navigationBrickClasses.push('dxrdp-navigation-brick-drill-down');
    sortData && navigationBrickClasses.push('dxrdp-navigation-brick-sorting');
    sortData?.order === 1 && navigationBrickClasses.push('dxrdp-navigation-brick-sorting-desc');
    sortData?.order === 2 && navigationBrickClasses.push('dxrdp-navigation-brick-sorting-asc');
    return (React.createElement("div", { className: `dxrd-report-preview-brick ${data.active ? 'dxrd-report-preview-brick-selected' : ''} ${!data.bricks ? 'dxrd-report-preview-brick-selectable' : ''}`, style: { top: data.topP, left: data.leftP, right: data.rightP, height: data.heightP, width: data.widthP }, onClick: e => { data.onClick(e); e.stopPropagation(); } }, data.navigation && React.createElement("div", { className: navigationBrickClasses.join(' ') })));
};
export default BrickClickable;
