import React from 'react';
import TextBox from 'devextreme-react/text-box';
import PictureEditingImagesPicker from '../ImagesPicker';
const PictureEditingImagePickerWithFilter = ({ data }) => {
    return (React.createElement("div", { className: "dx-picture-editing-filtercontent", style: { width: data.contentWidth + 'px' } },
        React.createElement(TextBox, { className: "dx-picture-editing-filtercontent-editor", value: data.filter, valueChangeEvent: "keyup", onValueChanged: data.onFilterChanged, placeholder: data.searchPlaceholder, showClearButton: true }),
        React.createElement("div", { className: "dx-picture-editing-filtercontent-images" },
            React.createElement(PictureEditingImagesPicker, { data: data }))));
};
export default PictureEditingImagePickerWithFilter;
