import React from 'react';
import { JSReportParametersPanel } from 'devexpress-reporting/viewer/binding/jsReportParametersPanel';
import { TemplateEngine } from '../core/template-engine';
import '@devexpress/analytics-core/dx-analytics-core-svg-templates';
import 'devexpress-reporting/dx-reporting-svg-templates';
export type DxParametersPanelProps = {
    height?: string;
    width?: string;
    cssClass?: string;
    templateEngine?: TemplateEngine;
    accessibilityCompliant?: boolean;
    keepReportOnComponentDisposal?: boolean;
    reportUrl?: string;
    rtl?: boolean;
    developmentMode?: boolean;
    children?: React.ReactNode;
};
export type DxParametersPanelRef = {
    instance: () => JSReportParametersPanel;
};
declare const DxParametersPanel: React.ForwardRefExoticComponent<DxParametersPanelProps & React.RefAttributes<DxParametersPanelRef>>;
export default DxParametersPanel;
