import React from 'react';
import { GetWindowKeyDownHandlersManager } from '@devexpress/analytics-core/core/tools/_keyboardHelper';
const useDxKeyDownActions = (actionList) => {
    React.useEffect(() => {
        const handlersManager = GetWindowKeyDownHandlersManager();
        const disposeFunc = handlersManager.bindHandler(e => actionList.processShortcut(e));
        return () => disposeFunc();
    }, [actionList]);
};
export default useDxKeyDownActions;
