import PropTypes from 'prop-types';
import BaseCallbacks from './_baseCallbacks';
const ReportViewerCallbacks = () => null;
ReportViewerCallbacks.displayName = 'DxReportViewerCallbacks';
ReportViewerCallbacks.propTypes = {
    ...BaseCallbacks.propTypes,
    CustomizeElements: PropTypes.func,
    PreviewClick: PropTypes.func,
    EditingFieldChanged: PropTypes.func,
    DocumentReady: PropTypes.func,
    CustomizeExportOptions: PropTypes.func,
    CustomizeMenuActions: PropTypes.func,
    OnExport: PropTypes.func,
};
export default ReportViewerCallbacks;
