## About

DevExpress Reporting React provides the capability to develop a reporting application to create and customize reports.

## Install

To install with `npm`, run the following command:

```shell
npm install devexpress-reporting-react devexpress-reporting @devexpress/analytics-core devextreme devextreme-react
```

## Documentation

To get started with HTML/JS DevExpress Reporting controls, see the following pages of the documentation:
- [HTML5 Document Viewer](https://docs.devexpress.com/XtraReports/17738/create-end-user-reporting-applications/web-reporting/asp-net-webforms-reporting/document-viewer/html5-document-viewer)
- [End-User Report Designer for ASP.NET](https://docs.devexpress.com/XtraReports/17103/create-end-user-reporting-applications/web-reporting/asp-net-webforms-reporting/end-user-report-designer)

## Demos

Take a look at the [DevExpress Reporting web demos]
(http://demos.devexpress.com/XtraReportsDemos/).

## License

A [commercial license](https://www.devexpress.com/support/eulas/) for the DevExpress Reporting Web UI components (Document Viewer, Report Designer) is required to use this package. Please review [the Reporting section on this page](https://www.devexpress.com/subscriptions/reporting/web/#Pricing) to determine which subscription includes a license for the Web UI components you plan to use in your application.

## Support

For any questions regarding the use of DevExpress Reporting tools, please refer to our [Support Center](https://www.devexpress.com/Support/Center).