import React from 'react';
import { JSReportDesigner } from 'devexpress-reporting/dx-reportdesigner';
export type DxReportDesignerProps = {
    reportUrl?: string;
    height?: string;
    width?: string;
    cssClass?: string;
    developmentMode?: boolean;
    children?: React.ReactNode | React.ReactNode[];
};
export type DxReportDesignerRef = {
    instance: () => JSReportDesigner;
};
declare const DxReportDesigner: React.ForwardRefExoticComponent<DxReportDesignerProps & React.RefAttributes<DxReportDesignerRef>>;
export default DxReportDesigner;
