import PropTypes from 'prop-types';
import ProgressBarSettings from '../../dx-report-viewer/options/ProgressBarSettings';
import ExportSettings from '../../dx-report-viewer/options/ExportSettings';
import SearchSettings from '../../dx-report-viewer/options/SearchSettings';
export const validChildComponents = {
    'progressbarSettings': { component: ProgressBarSettings },
    'exportSettings': { component: ExportSettings },
    'searchSettings': { component: SearchSettings },
};
const PreviewSettings = () => null;
PreviewSettings.displayName = 'DxReportDesignerPreviewSettings';
PreviewSettings.propTypes = {
    children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node])
};
export default PreviewSettings;
