import PropTypes from 'prop-types';
import { SearchBoxVisibilityMode } from 'devexpress-reporting/designer/utils/inititalizer';
const WizardSettings = () => null;
WizardSettings.displayName = 'DxReportDesignerWizardSettings';
WizardSettings.propTypes = {
    useMasterDetailWizard: PropTypes.bool,
    enableJsonDataSource: PropTypes.bool,
    enableSqlDataSource: PropTypes.bool,
    enableObjectDataSource: PropTypes.bool,
    enableFederationDataSource: PropTypes.bool,
    useFullscreenWizard: PropTypes.bool,
    reportWizardTemplatesSearchBoxVisibility: PropTypes.oneOf(Object.keys(SearchBoxVisibilityMode).map(x => SearchBoxVisibilityMode[x]))
};
export default WizardSettings;
