import React from 'react';
import { JSReportViewer } from 'devexpress-reporting/viewer/binding/jsReportViewer';
import { TemplateEngine } from './core/template-engine';
import '@devexpress/analytics-core/dx-analytics-core-svg-templates';
import 'devexpress-reporting/dx-reporting-svg-templates';
export type DxReportViewerProps = {
    height?: string;
    width?: string;
    cssClass?: string;
    templateEngine?: TemplateEngine;
    isMobile?: boolean;
    accessibilityCompliant?: boolean;
    keepReportOnComponentDisposal?: boolean;
    reportUrl?: string;
    rtl?: boolean;
    developmentMode?: boolean;
    children?: React.ReactNode;
};
export type DxReportViewerRef = {
    instance: () => JSReportViewer;
};
declare const DxReportViewer: React.ForwardRefExoticComponent<DxReportViewerProps & React.RefAttributes<DxReportViewerRef>>;
export default DxReportViewer;
