import React from 'react';
import { IEditorViewModel } from '@devexpress/analytics-core/property-grid/widgets/editor';
import { Properties as DropDownOptions } from 'devextreme/ui/popup';
import { Properties as ValidatorOptions } from 'devextreme/ui/validator';
export declare const useDropDownOptions: (ref: React.MutableRefObject<any>, mapper: (args: {
    element: HTMLElement;
    container: HTMLElement;
}) => DropDownOptions) => DropDownOptions;
export type EditorOptionsHookArgsType<TOptions> = {
    getOptions?: () => TOptions;
    getEditorOptions?: () => TOptions;
    getPrivateWidgetOptions?: () => object;
};
export declare const useEditorOptions: <T extends IEditorViewModel<any>, TOptions>(ref: React.MutableRefObject<any>, data: T, args: EditorOptionsHookArgsType<TOptions>) => TOptions;
export declare const useValidatorOptions: <T extends IEditorViewModel<any>>(data: T) => ValidatorOptions;
