import React from 'react';
import Template from '../../../core/Template';
const PropertyGrid = ({ data }) => (React.createElement("div", { className: `${data.rtl ? 'dx-rtl' : ''}` },
    React.createElement("div", { className: "dx-editors" },
        React.createElement("div", { className: "dx-fieldset" }, data.editors.map(editor => React.createElement(Template, { key: editor.editorInputId, template: editor.editorTemplate, data: editor }))))));
export default PropertyGrid;
