import React from 'react';
import dxZoom from '../../../../../hooks/dxZoom';
const RadioEditingField = ({ data }) => {
    const zoomRef = dxZoom(data.zoom);
    return (React.createElement("div", { ref: zoomRef, className: "dxrp-editing-field-check-container dx-accessibility-editing-field-item dx-accessibility-border-accented", style: data.containerStyle, onClick: event => data.onClick(data, event.nativeEvent) },
        React.createElement("div", { className: "dxrp-editing-field-check", style: data.checkStyle },
            React.createElement("svg", { version: "1.0", xmlns: "http://www.w3.org/2000/svg", width: "100%", height: "100%", viewBox: "0 0 760 760", preserveAspectRatio: "xMidYMid meet" },
                React.createElement("g", { fill: "#010101", stroke: "none" },
                    React.createElement("path", { d: "M32,380a348,348 0 1,0 696,0a348,348 0 1,0 -696,0", className: "highlight dxrd-stroke-width-50 dxrd-stroke-rgb-0" }),
                    React.createElement("path", { d: "M185,380a195,195 0 1,0 390,0a195,195 0 1,0 -390,0", style: { fill: data.checked ? 'black' : 'transparent' } }))))));
};
export default RadioEditingField;
