import React from 'react';
import Template from '../../../../core/Template';
const MobileActions = ({ data }) => (React.createElement("div", { className: "dxrdp-mobile-actions", hidden: !data.visible },
    React.createElement("div", { className: "dxrdp-mobile-actions-content" }, data.actions.map((action, index) => (React.createElement("div", { key: index, className: "dxrdp-mobile-action" },
        React.createElement("div", { hidden: !action.visible, className: 'dxrdp-mobile-action ' + action.imageClassName, onClick: action.clickAction }, !!action.imageTemplateName && React.createElement(Template, { template: action.imageTemplateName })),
        !!action.content && React.createElement(Template, { template: action.content.name, data: action.content.data })))))));
export default MobileActions;
