import React from 'react';
import { getParentContainer } from '@devexpress/analytics-core/widgets/_utils';
const useDxParentContainer = () => {
    const ref = React.useRef();
    const [parentContainer, setParentContainer] = React.useState();
    React.useEffect(() => {
        const element = ref.current.instance().element();
        setParentContainer(getParentContainer(element));
    }, []);
    return [ref, parentContainer];
};
export default useDxParentContainer;
