import React from 'react';
import Template from '../../../../core/Template';
const EditorContent = ({ data }) => {
    if (!data.visible)
        return null;
    const cssClasses = ['dxrd-parameters-group'];
    !data.hideBorder && cssClasses.push('dxrd-parameters-border');
    data.showHorizontally && cssClasses.push('dxrd-parameters-horizontal');
    return (React.createElement("div", { className: cssClasses.join(' ') },
        React.createElement(Template, { template: "dxrd-propertieseditor", data: data })));
};
export default EditorContent;
