import React from 'react';
import Template from '../../../../core/Template';
const GroupEditor = ({ data }) => {
    const getCorrectLayoutClass = (editor) => {
        return editor.editorTemplate !== 'dxrd-parameters-separator' ?
            'dx-fill-available' : 'dx-display-content';
    };
    return (React.createElement("div", { className: data.viewmodel.rtl ? 'dx-rtl' : '' },
        React.createElement("div", { className: "dx-editors" },
            React.createElement("div", { className: "dx-fieldset dxrd-parameters-fieldset dxd-border-primary", style: { display: data.showHorizontally ? 'flex' : 'block' } }, data.viewmodel.editors.map(editor => (React.createElement(Template, { key: editor.editorInputId, className: getCorrectLayoutClass(editor), template: editor.editorTemplate, data: editor })))))));
};
export default GroupEditor;
