import React from 'react';
import ScrollView from 'devextreme-react/scroll-view';
const PictureEditingImagePicker = ({ data }) => {
    return (React.createElement(ScrollView, { className: "dx-picture-editing-imagescontainer dxd-text-primary", style: { width: data.contentWidth + 'px' }, showScrollbar: "onHover", useNative: false, scrollByThumb: true }, data.images.map((image, index) => (React.createElement("div", { key: index, className: "dx-picture-editing-block dxd-state-normal dxd-back-highlighted", style: { width: (image.width + 10) + 'px' }, hidden: !image.visible, onClick: image.action }, image.visible && (React.createElement("div", null,
        React.createElement("div", { className: "dx-picture-editing-block-image", style: { width: image.width + 'px', height: image.height + 'px', backgroundImage: 'url(' + (image.url || image.data) + ')' } }),
        !!image.text && React.createElement("div", null,
            image.filterEnabled && React.createElement("div", { className: "dx-picture-editing-block-text", title: image.text }),
            !image.filterEnabled && React.createElement("div", { className: "dx-picture-editing-block-text", title: image.text }, image.text)))))))));
};
export default PictureEditingImagePicker;
