const toCamelCase = style => style.replace(/-([a-z])/g, (_, char) => char.toUpperCase());
export const processStyles = styles => {
    const newStyles = {};
    for (const style in styles) {
        const reactStyle = toCamelCase(style);
        newStyles[reactStyle] = styles[style];
    }
    return newStyles;
};
