import { analyticsTemplates } from '../components/analytics/_templates';
import { reportingTemplates } from '../components/reporting/_templates';
export class TemplateEngine {
    constructor() {
        this._templates = { ...analyticsTemplates, ...reportingTemplates };
    }
    getTemplate(templateName) {
        return this._templates[templateName];
    }
    setTemplate(templateName, template) {
        this._templates[templateName] = template;
    }
}
